
/*
 * I. ARIT 1992 Hidirbeyli,Germencik,AYDIN,TURKIYE.  09400
 *
 *
 * Copyright (C) 1993 Ismail ARIT
 *
 * This file  is distributed in the hope that it will be useful, but without any
 * warranty.  No author or distributor accepts responsibility to anyone for
 * the consequences of using it or for whether it serves any particular
 * purpose or works at all.
 *
 *
 * Everyone is granted permission to copy, modify and redistribute this file
 * under the following conditions:
 *
 *
 * Everyone is granted permission to copy, modify and redistribute this file
 * under the following conditions:
 *
 *
 * Permission is granted to anyone to make or distribute copies of the source
 * code, either as received or modified, in any medium, provided that all
 * copyright notices, permission and nonwarranty notices are preserved, and
 * that the distributor grants the recipient permission for further
 * redistribution as permitted by this document.
 *
 */




#include "xquran.h"

#include <dirent.h>
#include <string.h>





String
* sures[NUMBEROFSURE];



/* read Quran dir and fill in the sureList widget */
int
readSureNames(w, path)
	Widget          w;
	char           *path;
{

	DIR            *dir;
	struct dirent  *entry;
	int             i = 0;

	/* this is where sures are */
	dir = opendir(path);
	if(dir==NULL)perror("error opening Quran directory"),exit(0);;
	/* let's put them in sures array */
	while ((entry = readdir(dir)) != NULL) {
		/* first two entries are . and .., and we don't need them */
		if (i < 2)
			i++;
		else {
			sures[i - 2] = (String *) malloc(sizeof(entry->d_name) + 1);
			if (sures[i - 2] == NULL)
				fprintf(stderr, "no mem for list \n"), exit(0);
			strcpy((char *) sures[i - 2], entry->d_name);
			i++;
		}
	}


	sures[i - 2] = (String *) NULL;

	/* put them in list */
	XawListChange(w, sures, i - 2, 0, True);

	return i - 2;
}
